Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

How do I uninstall Firefox silently from Windows 8?

  • 5 replies
  • 3 have this problem
  • 38 views
  • Last reply by eekyeyes

more options

Hi

I'm trying to deploy Firefox 26.0 silently using the -ms switch. This is working perfectly for Windows 7 and Windows 8

When I try to uninstall silently using the /S switch, it doesn't do anything at all. How should I perform a silent uninstall?

Hi I'm trying to deploy Firefox 26.0 silently using the -ms switch. This is working perfectly for Windows 7 and Windows 8 When I try to uninstall silently using the /S switch, it doesn't do anything at all. How should I perform a silent uninstall?

Chosen solution

Try the up to date ESR as it is based on Fx 24 it may well work. You will need to know exactly what the compatibility issue is and what the problem is, but it is probably quickest just to test FxESR 26.4. Remember it only gets important security fixes and very little else.

Maybe you should worry about the plugins. If they are not working In the current ESR and current Release are they going to remain stable and usable in the future. You should be able to check with the plugin's support site they should be aware which ESR versions the plugin is compatible with.

The article you found relates to the standard Mozilla Firefox full installable.

Read this answer in context 👍 0

All Replies (5)

more options

You should not be deploying Firefox 26 it is not supported and not secure.

You may wish to consider Firefox ESR that is version 24.6 see http://www.mozilla.org/en-US/firefox/organizations Note there is a mailing list related to ESR use.

I am not aware of any official Firefox msi but consider looking at http://frontmotion.com/Firefox/

more options

Thanks for sharing the info.

I looked at the ESR version, 24.6 would be equivalent to Firefox 30? Due to some compatibility issues with some required plugins, we had to postpone upgrading to any higher versions. At the moment latest stable version we can use is Firefox 26. That means I should get ESR 24.2?

I actually got the command line switches from link below, not sure if this still valid: https://wiki.mozilla.org/Installer:Command_Line_Arguments

more options

Chosen Solution

Try the up to date ESR as it is based on Fx 24 it may well work. You will need to know exactly what the compatibility issue is and what the problem is, but it is probably quickest just to test FxESR 26.4. Remember it only gets important security fixes and very little else.

Maybe you should worry about the plugins. If they are not working In the current ESR and current Release are they going to remain stable and usable in the future. You should be able to check with the plugin's support site they should be aware which ESR versions the plugin is compatible with.

The article you found relates to the standard Mozilla Firefox full installable.

more options

The ESR version only updates security patches. The current Firefox 24.6.0 version has the security updates that Firefox 30 has, but is still compatible with Firefox 24. This will change when the Firefox 31 ESR version will be released as a follow up from 10, 17, 24 ESR versions.

more options

Thanks for the input.

Will try the latest ESR then.

As for the command line switches, I do have the full installable, not the stub installer. Still, the /S doesn't work for me when I tried it.